## shorewall 3.0.4

=== Makefile ===
# Shorewall Makefile to restart if config-files are newer than last restart
VARDIR=/var/lib/shorewall
CONFDIR=/etc/shorewall
all: $(VARDIR)/restore-base

$(VARDIR)/restore-base: $(CONFDIR)/*
	@/sbin/shorewall -q save >/dev/null; \
	if \
	    /sbin/shorewall -q restart >/dev/null 2>&1; \
	then \
	    /sbin/shorewall -q save >/dev/null; \
	else \
	    /sbin/shorewall -q restart 2>&1 | tail >&2; \
	fi

# EOF

## shorewall 3.2.6

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,10 @@
 # Shorewall Makefile to restart if config-files are newer than last restart
 VARDIR=/var/lib/shorewall
 CONFDIR=/etc/shorewall
-all: $(VARDIR)/restore-base
+RESTOREFILE?=.restore
+all: $(VARDIR)/${RESTOREFILE}
 
-$(VARDIR)/restore-base: $(CONFDIR)/*
+$(VARDIR)/${RESTOREFILE}: $(CONFDIR)/*
 	@/sbin/shorewall -q save >/dev/null; \
 	if \
 	    /sbin/shorewall -q restart >/dev/null 2>&1; \

## shorewall 4.4.10.1

=== debian/changelog ===
shorewall (4.4.10.1-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 19 Jun 2010 11:41:18 -0400

shorewall (4.4.10-1) unstable; urgency=low

  * New Upstream Version
  * Synchronize init script with upstream

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 12 Jun 2010 13:14:17 -0400

shorewall (4.4.9-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 07 May 2010 21:21:44 -0400

shorewall (4.4.8.4-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 29 Apr 2010 21:38:45 -0400

shorewall (4.4.8.3-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 21 Apr 2010 10:07:03 -0400

shorewall (4.4.8.1-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 07 Apr 2010 19:09:34 -0400

shorewall (4.4.8-1) unstable; urgency=low

  * New Upstream Version
  * Switch to dpkg-source 3.0 (quilt) format
  * Add script-not-executable override

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 27 Mar 2010 20:52:33 -0400

shorewall (4.4.7.5-1) unstable; urgency=low

  * New Upstream Version
  * Synchronize init script with upstream

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 21 Feb 2010 21:08:17 -0500

shorewall (4.4.7.4-1) unstable; urgency=low

  * New Upstream Version
  * Update to Standards-Version 3.8.4 (no changes)
  * Add missing dependency on $remote_fs in init script.

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 15 Feb 2010 10:44:37 -0500

shorewall (4.4.6-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 19 Jan 2010 19:11:06 -0500

shorewall (4.4.5.4-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 24 Dec 2009 15:09:32 -0500

shorewall (4.4.5.2-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 20 Dec 2009 20:10:13 -0500

shorewall (4.4.5.1-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 20 Dec 2009 15:02:10 -0500

shorewall (4.4.5-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 19 Dec 2009 14:11:20 -0500

shorewall (4.4.4.2-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 08 Dec 2009 22:55:16 -0500

shorewall (4.4.4.1-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 22 Nov 2009 08:26:43 -0500

shorewall (4.4.4-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 21 Nov 2009 14:18:31 -0500

shorewall (4.4.3-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 01 Nov 2009 14:48:22 -0500

shorewall (4.4.2.4-1) unstable; urgency=low

  * New Upstream Version (Closes: #551950)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 24 Oct 2009 14:49:29 -0400

shorewall (4.4.2.3-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 19 Oct 2009 09:04:47 -0400

shorewall (4.4.2-1) unstable; urgency=low

  * New Upstream Version (Closes: #538907, #545214)
  * Override lintian warning about init script

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 02 Oct 2009 13:55:26 -0400

shorewall (4.4.1.2-2) unstable; urgency=low

  * Make Shorewall Perl compiler executable (Closes: #546750)

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 18 Sep 2009 18:16:32 -0400

shorewall (4.4.1.2-1) unstable; urgency=low

  * New upstream release
    + Merges shorewall-common, shorewall-shell and shorewall-perl together
  * Update to Standards-Version 3.8.3 (no changes)
  * Add dependency on bc (Closes: #537116)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 06 Sep 2009 08:52:01 -0400

=== debian/control ===
Source: shorewall
Section: net
Priority: optional
Maintainer: Roberto C. Sanchez <roberto@connexer.com>
Homepage: http://www.shorewall.net
Build-Depends: debhelper (>= 5), po-debconf
Standards-Version: 3.8.4
Vcs-Browser: http://shorewall.git.sourceforge.net/git/gitweb.cgi?p=shorewall/debian;a=tree
Vcs-Git: git://shorewall.git.sourceforge.net/gitroot/shorewall/shorewall/debian

Package: shorewall
Architecture: all
Depends: iptables (>= 1.3.8), iproute, debconf (>= 1.4.69) | cdebconf (>= 0.39), perl-modules, bc, ${misc:Depends}
Suggests: shorewall-doc, linux-image, make
Replaces: shorewall-common, shorewall-perl, shorewall-shell
Description: Shoreline Firewall, netfilter configurator
 Shorewall allows firewall/gateway requirements to be described using
 entries in a set of configuration files. It reads those configuration
 files and, with the help of the iptables utility, configures
 netfilter to match these requirements.
 .
 Shorewall supports a wide range of router/firewall/gateway applications,
 traffic shaping and almost every type of VPN.

Package: shorewall-shell
Architecture: all
Depends: shorewall (>> 4.4), ${misc:Depends}
Description: Shoreline Firewall, netfilter configurator - transition package
 Shorewall allows firewall/gateway requirements to be described using
 entries in a set of configuration files. It reads those configuration
 files and, with the help of the iptables utility, configures
 netfilter to match these requirements.
 .
 Shorewall supports a wide range of router/firewall/gateway applications,
 traffic shaping and almost every type of VPN.
 .
 This is a transition package and can be safely removed.

Package: shorewall-perl
Architecture: all
Depends: shorewall (>> 4.4), ${misc:Depends}
Description: Shoreline Firewall, netfilter configurator - transition package
 Shorewall allows firewall/gateway requirements to be described using
 entries in a set of configuration files. It reads those configuration
 files and, with the help of the iptables utility, configures
 netfilter to match these requirements.
 .
 Shorewall supports a wide range of router/firewall/gateway applications,
 traffic shaping and almost every type of VPN.
 .
 This is a transition package and can be safely removed.

Package: shorewall-common
Architecture: all
Depends: shorewall (>> 4.4), ${misc:Depends}
Description: Shoreline Firewall, netfilter configurator - transition package
 Shorewall allows firewall/gateway requirements to be described using
 entries in a set of configuration files. It reads those configuration
 files and, with the help of the iptables utility, configures
 netfilter to match these requirements.
 .
 Shorewall supports a wide range of router/firewall/gateway applications,
 traffic shaping and almost every type of VPN.
 .
 This is a transition package and can be safely removed.

## shorewall 4.4.11.6

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Shorewall Makefile to restart if config-files are newer than last restart
-VARDIR=/var/lib/shorewall
+VARDIR=$(shell /sbin/shorewall show vardir)
 CONFDIR=/etc/shorewall
-RESTOREFILE?=.restore
+RESTOREFILE?=firewall
 all: $(VARDIR)/${RESTOREFILE}
 
 $(VARDIR)/${RESTOREFILE}: $(CONFDIR)/*
@@ -14,4 +14,8 @@
 	    /sbin/shorewall -q restart 2>&1 | tail >&2; \
 	fi
 
+clean:
+	@rm -f $(CONFDIR)/*~ $(CONFDIR)/.*~
+.PHONY: clean
+
 # EOF

=== debian/changelog ===
shorewall (4.4.11.6-3) unstable; urgency=low

  * Fix macro.JAP to correct nested macro call.

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 28 Nov 2010 21:34:05 -0500

shorewall (4.4.11.6-2) unstable; urgency=low

  * Incorporate patch from upstream: "Fix 10+ TC Interfaces."

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 28 Oct 2010 22:12:15 -0400

shorewall (4.4.11.6-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 11 Oct 2010 18:52:45 -0400

shorewall (4.4.11.4-1) unstable; urgency=low

  * New Upstream Version (Closes: #594144)

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 03 Sep 2010 16:35:16 -0400

shorewall (4.4.11.3-1) unstable; urgency=low

  * New Upstream Version
  * Update to Standards-Version 3.9.1 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 22 Aug 2010 20:57:43 -0400

shorewall (4.4.11.2-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 09 Aug 2010 21:05:05 -0400

shorewall (4.4.11-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 14 Jul 2010 19:58:19 -0400

shorewall (4.4.10.3-1) unstable; urgency=low

  * New Upstream Version (Closes: #588345)
  * Update to Standards-Version 3.9.0 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 09 Jul 2010 21:09:28 -0400

shorewall (4.4.10.2-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 25 Jun 2010 21:38:09 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Homepage: http://www.shorewall.net
 Build-Depends: debhelper (>= 5), po-debconf
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Vcs-Browser: http://shorewall.git.sourceforge.net/git/gitweb.cgi?p=shorewall/debian;a=tree
 Vcs-Git: git://shorewall.git.sourceforge.net/gitroot/shorewall/shorewall/debian

=== debian/rules ===
#!/usr/bin/make -f
#
# Shorewall firewall (http://www.shorewall.net)
# debianized version

# shorewall version
export V=`grep "^VERSION=" install.sh | head -n 1 | cut -f 2 -d "="`

SRWL=$(CURDIR)/debian/shorewall

build: build-stamp debian/po/templates.pot
build-stamp:
	dh_testdir
# 	there's nothing to compile ;-)
	touch build-stamp

debian/po/templates.pot: debian/shorewall.templates
	@debconf-updatepo
#	@podebconf-report-po

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	debconf-updatepo
# 	clean the build directory
	rm -rf $(SRWL)
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	dh_install

	install -m 644 debian/shorewall.lintian $(SRWL)/usr/share/lintian/overrides/shorewall

# 	Temporary zones are only available to root
	chmod 750 $(SRWL)/var/lib/shorewall
# 	As well as configuration files
	chmod 755 $(SRWL)/etc/shorewall
	chmod 640 $(SRWL)/etc/shorewall/*
	chmod 644 $(SRWL)/etc/shorewall/shorewall.conf
	chmod 644 $(SRWL)/etc/shorewall/Makefile
# 	set version number
	echo $V > $(SRWL)/usr/share/shorewall/version
#  global configuration has to be fully readable
	chmod 644 $(SRWL)/usr/share/shorewall/*
#  must be executable
	chmod 755 $(SRWL)/usr/share/shorewall/wait4ifup

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs -A releasenotes.txt debian/NEWS.Debian
	dh_installman manpages/*
	dh_installchangelogs changelog.txt
	dh_installlogrotate
	dh_installinit --no-start -u"start 40 S . stop 89 0 6 ."
	dh_installdebconf
	dh_compress -Xusr/share/doc/shorewall/default-config
	dh_fixperms -Xetc/shorewall -Xvar/lib/shorewall
	# For some inexplicable reason, this is the only way to get persistence
	chmod 755 $(SRWL)/usr/share/shorewall/compiler.pl
	chmod 755 $(SRWL)/usr/share/shorewall/Shorewall
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb -v

binary-arch: build install

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

## shorewall 4.4.17

=== debian/changelog ===
shorewall (4.4.17-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 10 Feb 2011 22:07:01 -0500

shorewall (4.4.16.1-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 23 Jan 2011 17:10:38 -0500

shorewall (4.4.16-1) unstable; urgency=low

  * New Upstream Version
  * Drop macro.JAP patch from 4.4.11.6-3, which has been included upstream.
  * Drop transition packages: shorewall-{shell,perl,common}

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 12 Jan 2011 18:51:08 -0500

=== debian/control ===
Source: shorewall
Section: net
Priority: optional
Maintainer: Roberto C. Sanchez <roberto@connexer.com>
Homepage: http://www.shorewall.net
Build-Depends: debhelper (>= 5), po-debconf
Standards-Version: 3.9.1
Vcs-Browser: http://shorewall.git.sourceforge.net/git/gitweb.cgi?p=shorewall/debian;a=tree
Vcs-Git: git://shorewall.git.sourceforge.net/gitroot/shorewall/shorewall/debian

Package: shorewall
Architecture: all
Depends: iptables (>= 1.3.8), iproute, debconf (>= 1.4.69) | cdebconf (>= 0.39), perl-modules, bc, ${misc:Depends}
Suggests: shorewall-doc, linux-image, make
Replaces: shorewall-common, shorewall-perl, shorewall-shell
Description: Shoreline Firewall, netfilter configurator
 Shorewall allows firewall/gateway requirements to be described using
 entries in a set of configuration files. It reads those configuration
 files and, with the help of the iptables utility, configures
 netfilter to match these requirements.
 .
 Shorewall supports a wide range of router/firewall/gateway applications,
 traffic shaping and almost every type of VPN.

=== debian/rules ===
--- 
+++ 
@@ -50,6 +50,7 @@
 	chmod 644 $(SRWL)/usr/share/shorewall/*
 #  must be executable
 	chmod 755 $(SRWL)/usr/share/shorewall/wait4ifup
+	chmod 755 $(SRWL)/usr/share/shorewall/getparams
 
 binary-indep: build install
 	dh_testdir

## shorewall 4.4.19.1

=== debian/changelog ===
shorewall (4.4.19.1-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 16 Apr 2011 19:17:47 -0400

shorewall (4.4.19-1) unstable; urgency=low

  * New Upstream Version
  * Update to Standards-Version 3.9.2 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 12 Apr 2011 22:00:08 -0400

shorewall (4.4.18.2-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 04 Apr 2011 17:30:05 -0400

shorewall (4.4.18.1-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 20 Mar 2011 20:40:00 -0400

shorewall (4.4.18-1) unstable; urgency=low

  * New Upstream Version
  * Updated Italian translation, thanks to Antonino Arcudi (Closes: #613963)
  * Update copyright years in debian/copyright

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 10 Mar 2011 22:19:02 -0500

## shorewall 4.4.19.3

=== debian/changelog ===
shorewall (4.4.19.3-1) unstable; urgency=low

  * New Upstream Version
  * New Danish debconf translation, thanks to Joe Dalton (Closes: #624665)

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 16 May 2011 19:48:40 -0400

## shorewall 4.4.19.4

=== debian/changelog ===
shorewall (4.4.19.4-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 17 May 2011 22:38:55 -0400

## shorewall 4.4.20.1

=== debian/changelog ===
shorewall (4.4.20.1-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 07 Jun 2011 20:42:18 -0400

## shorewall 4.4.20.2

=== debian/changelog ===
shorewall (4.4.20.2-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 11 Jun 2011 15:25:27 -0400

## shorewall 4.4.20.3

=== debian/changelog ===
shorewall (4.4.20.3-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 15 Jun 2011 16:46:44 -0400

## shorewall 4.4.21

=== debian/changelog ===
shorewall (4.4.21-1) unstable; urgency=low

  * New Upstream Version
  * Ship *.annotated config files in /usr/share/doc/shorewall/default-config
    to support the new 'shorewall update' command

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 10 Jul 2011 21:57:27 -0400

## shorewall 4.4.24.1

=== debian/changelog ===
shorewall (4.4.24.1-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 15 Oct 2011 21:22:40 -0400

shorewall (4.4.24-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 09 Oct 2011 21:26:27 -0400

shorewall (4.4.23.3-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 16 Sep 2011 16:02:12 -0400

shorewall (4.4.23.2-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 13 Sep 2011 19:52:41 -0400

shorewall (4.4.23.1-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 08 Sep 2011 19:47:14 -0400

shorewall (4.4.23-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 06 Sep 2011 19:51:31 -0400

shorewall (4.4.22.3-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 22 Aug 2011 12:16:50 -0400

shorewall (4.4.22.2-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 15 Aug 2011 18:34:45 -0400

shorewall (4.4.21.1-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 28 Jul 2011 09:29:02 -0400

## shorewall 4.4.25.3

=== debian/changelog ===
shorewall (4.4.25.3-1) unstable; urgency=low

  * New Upstream Version
  * Synchronize init script with upstream (Closes: #646780)

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 11 Nov 2011 21:08:26 -0500

shorewall (4.4.25.2-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 05 Nov 2011 21:10:08 -0400

shorewall (4.4.25.1-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 01 Nov 2011 19:30:41 -0400

shorewall (4.4.25-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 29 Oct 2011 20:59:03 -0400

## shorewall 4.4.26

=== debian/changelog ===
shorewall (4.4.26-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 02 Dec 2011 19:03:09 -0500

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,9 @@
 
 SRWL=$(CURDIR)/debian/shorewall
 
-build: build-stamp debian/po/templates.pot
+build: build-arch build-indep debian/po/templates.pot
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 # 	there's nothing to compile ;-)

## shorewall 4.4.26.1

=== debian/changelog ===
shorewall (4.4.26.1-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 13 Dec 2011 19:41:27 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Homepage: http://www.shorewall.net
 Build-Depends: debhelper (>= 5), po-debconf
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Browser: http://shorewall.git.sourceforge.net/git/gitweb.cgi?p=shorewall/debian;a=tree
 Vcs-Git: git://shorewall.git.sourceforge.net/gitroot/shorewall/shorewall/debian

## shorewall 4.4.27.3

=== debian/changelog ===
shorewall (4.4.27.3-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 21 Jan 2012 10:22:26 -0500

shorewall (4.4.27.2-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 16 Jan 2012 19:35:40 -0500

shorewall (4.4.27.1-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 08 Jan 2012 20:21:53 -0500

shorewall (4.4.27-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 30 Dec 2011 14:44:29 -0500

## shorewall 4.5.0.3

=== debian/changelog ===
shorewall (4.5.0.3-1) unstable; urgency=low

  * New Upstream Version
  * Add Turkish debconf translation, thanks to Atila KOÇ (Closes: #663102)
  * Update to Standards-Version 3.9.3 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 08 Mar 2012 22:53:28 -0500

shorewall (4.5.0.1-3) unstable; urgency=low

  * Patch upstream to use Digest::SHA instead of Digest::SHA1 (which is
    obsolete and no longer available in Sid)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 25 Feb 2012 23:28:45 -0500

shorewall (4.5.0.1-2) unstable; urgency=low

  * Add dependency on shorewall-core

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 25 Feb 2012 20:17:16 -0500

shorewall (4.5.0.1-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 20 Feb 2012 16:44:06 -0500

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Homepage: http://www.shorewall.net
 Build-Depends: debhelper (>= 5), po-debconf
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Browser: http://shorewall.git.sourceforge.net/git/gitweb.cgi?p=shorewall/debian;a=tree
 Vcs-Git: git://shorewall.git.sourceforge.net/gitroot/shorewall/shorewall/debian
 
 Package: shorewall
 Architecture: all
-Depends: iptables (>= 1.3.8), iproute, debconf (>= 1.4.69) | cdebconf (>= 0.39), perl-modules, bc, ${misc:Depends}
+Depends: shorewall-core (>= ${shorewall:current}), shorewall-core (<< ${shorewall:next}), iptables (>= 1.3.8), iproute, debconf (>= 1.4.69) | cdebconf (>= 0.39), perl-modules, bc, ${misc:Depends}
 Suggests: shorewall-doc, linux-image, make
 Replaces: shorewall-common, shorewall-perl, shorewall-shell
 Description: Shoreline Firewall, netfilter configurator

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,13 @@
 # debianized version
 
 # shorewall version
-export V=`grep "^VERSION=" install.sh | head -n 1 | cut -f 2 -d "="`
+export VFULL=`grep "^VERSION=" install.sh | head -n 1 | cut -f 2 -d "="`
+export V=`grep "^VERSION=" install.sh | head -n 1 | cut -f 2 -d "=" | cut -f 1-3 -d "."`
+VMAJOR:=$(shell echo $(V) |cut -f 1 -d .)
+VMINOR:=$(shell echo $(V) |cut -f 2 -d .)
+VPATCH:=$(shell echo $(V) |cut -f 3 -d .)
+NEXTPATCH:=$(shell expr $(VPATCH) + 1 2>/dev/null || expr `echo $(VPATCH) | cut -f 1 -d - ` + 1)
+
 
 SRWL=$(CURDIR)/debian/shorewall
 
@@ -34,6 +40,10 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
+	echo 'shorewall:current=$(VMAJOR).$(VMINOR).$(VPATCH)~' \
+		>> debian/shorewall.substvars
+	echo 'shorewall:next=$(VMAJOR).$(VMINOR).$(NEXTPATCH)~' \
+		>> debian/shorewall.substvars
 
 	dh_install
 
@@ -47,11 +57,10 @@
 	chmod 644 $(SRWL)/etc/shorewall/shorewall.conf
 	chmod 644 $(SRWL)/etc/shorewall/Makefile
 # 	set version number
-	echo $V > $(SRWL)/usr/share/shorewall/version
+	echo $(VFULL) > $(SRWL)/usr/share/shorewall/version
 #  global configuration has to be fully readable
 	chmod 644 $(SRWL)/usr/share/shorewall/*
 #  must be executable
-	chmod 755 $(SRWL)/usr/share/shorewall/wait4ifup
 	chmod 755 $(SRWL)/usr/share/shorewall/getparams
 
 binary-indep: build install

## shorewall 4.5.2.2

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 VARDIR=$(shell /sbin/shorewall show vardir)
 CONFDIR=/etc/shorewall
 RESTOREFILE?=firewall
+
 all: $(VARDIR)/${RESTOREFILE}
 
 $(VARDIR)/${RESTOREFILE}: $(CONFDIR)/*
@@ -11,11 +12,12 @@
 	then \
 	    /sbin/shorewall -q save >/dev/null; \
 	else \
-	    /sbin/shorewall -q restart 2>&1 | tail >&2; \
+	    /sbin/shorewall -q restart 2>&1 | tail >&2; exit 1; \
 	fi
 
 clean:
 	@rm -f $(CONFDIR)/*~ $(CONFDIR)/.*~
+
 .PHONY: clean
 
 # EOF

=== debian/changelog ===
shorewall (4.5.2.2-1) unstable; urgency=low

  * New Upstream Version
  * Convert to debhelper compatibility level 8

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 14 Apr 2012 21:57:42 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Homepage: http://www.shorewall.net
-Build-Depends: debhelper (>= 5), po-debconf
+Build-Depends: debhelper (>= 8.0.0), po-debconf
 Standards-Version: 3.9.3
 Vcs-Browser: http://shorewall.git.sourceforge.net/git/gitweb.cgi?p=shorewall/debian;a=tree
 Vcs-Git: git://shorewall.git.sourceforge.net/gitroot/shorewall/shorewall/debian

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# shorewall version
export VFULL=`grep "^VERSION=" install.sh | head -n 1 | cut -f 2 -d "="`
export V=`grep "^VERSION=" install.sh | head -n 1 | cut -f 2 -d "=" | cut -f 1-3 -d "."`
VMAJOR:=$(shell echo $(V) |cut -f 1 -d .)
VMINOR:=$(shell echo $(V) |cut -f 2 -d .)
VPATCH:=$(shell echo $(V) |cut -f 3 -d .)
NEXTPATCH:=$(shell expr $(VPATCH) + 1 2>/dev/null || expr `echo $(VPATCH) | cut -f 1 -d - ` + 1)

SRWL=$(CURDIR)/debian/shorewall

%:
	dh $@ 

debian/po/templates.pot: debian/shorewall.templates
	@debconf-updatepo

override_dh_auto_configure:
	./configure

override_dh_auto_build:
	true

override_dh_auto_clean:
	rm -rf $(SRWL) shorewallrc

override_dh_install:
	echo 'shorewall:current=$(VMAJOR).$(VMINOR).$(VPATCH)~' \
		>> debian/shorewall.substvars
	echo 'shorewall:next=$(VMAJOR).$(VMINOR).$(NEXTPATCH)~' \
		>> debian/shorewall.substvars
	DESTDIR=$(SRWL) BUILD=debian HOST=debian $(CURDIR)/install.sh

override_dh_fixperms:
	# Temporary zones are only available to root
	chmod 750 $(SRWL)/var/lib/shorewall
	# By default, configuration is not world-readable
	chmod 640 $(SRWL)/etc/shorewall/*
	# These should not be executable
	chmod 644 $(SRWL)/etc/shorewall/shorewall.conf
	chmod 644 $(SRWL)/etc/shorewall/Makefile
	# Global configuration has to be fully readable
	chmod 644 $(SRWL)/usr/share/shorewall/*
	chmod 755 $(SRWL)/usr/share/shorewall/compiler.pl
	chmod 755 $(SRWL)/usr/share/shorewall/getparams
	chmod 755 $(SRWL)/usr/share/shorewall/Shorewall/
	chmod 755 $(SRWL)/usr/share/shorewall/configfiles/
	dh_fixperms -Xetc/shorewall -Xvar/lib/shorewall

override_dh_compress:
	dh_compress

override_dh_installinit:
	dh_installinit --onlyscripts --no-start -u"start 40 S . stop 89 0 6 ."

override_dh_installman:
	dh_installman manpages/*

## shorewall 4.5.3

=== debian/changelog ===
shorewall (4.5.3-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 10 May 2012 22:47:02 -0400

shorewall (4.5.2.4-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 01 May 2012 19:24:19 -0400

## shorewall 4.5.5

=== debian/changelog ===
shorewall (4.5.5-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 15 Jun 2012 07:43:19 -0400

## shorewall 4.5.5.1

=== debian/changelog ===
shorewall (4.5.5.1-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 17 Jun 2012 14:13:04 -0400

## shorewall 4.5.5.3

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 CONFDIR=/etc/shorewall
 RESTOREFILE?=firewall
 
-all: $(VARDIR)/${RESTOREFILE}
+all: $(VARDIR)/$(RESTOREFILE)
 
-$(VARDIR)/${RESTOREFILE}: $(CONFDIR)/*
+$(VARDIR)/$(RESTOREFILE): $(CONFDIR)/*
 	@/sbin/shorewall -q save >/dev/null; \
 	if \
 	    /sbin/shorewall -q restart >/dev/null 2>&1; \

=== debian/changelog ===
shorewall (4.5.5.3-3) unstable; urgency=low

  * Correct deficient behavior in handling of DNAT and SNAT packets

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 20 Oct 2012 21:36:27 -0400

shorewall (4.5.5.3-2) unstable; urgency=low

  * Update README.Debian to identify correct location for default
    configuration files (Closes: #687437)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 15 Sep 2012 15:09:32 -0400

shorewall (4.5.5.3-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 02 Jul 2012 19:26:52 -0400

## shorewall 4.5.16.1

=== debian/changelog ===
shorewall (4.5.16.1-1) unstable; urgency=low

  * New Upstream Version
  * debian/patches/01_debian_configuration.patch: Refreshed
  * debian/patches/02_correct_dnat_snat_behavior.patch: Removed
  * Update lintian overrides

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 03 May 2013 08:17:42 -0400

## shorewall 4.5.21.1

=== debian/changelog ===
shorewall (4.5.21.1-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 11 Oct 2013 19:41:05 -0400

shorewall (4.5.21-1) unstable; urgency=low

  * New Upstream Version
  * Remove linux-image from suggests (Closes: #724564)

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 03 Oct 2013 19:42:15 -0400

shorewall (4.5.20-1) unstable; urgency=low

  * New Upstream Version (Closes: #712282, #686909)
  * Update to Standards-Version 3.9.4 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 24 Sep 2013 19:17:20 -0400

## shorewall 4.5.21.2

=== debian/changelog ===
shorewall (4.5.21.2-1) unstable; urgency=low

  * New Upstream Version (Closes: #726306)

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 22 Oct 2013 20:45:07 -0400

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Homepage: http://www.shorewall.net
 Build-Depends: debhelper (>= 8.0.0), po-debconf
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Browser: http://shorewall.git.sourceforge.net/git/gitweb.cgi?p=shorewall/debian;a=tree
 Vcs-Git: git://shorewall.git.sourceforge.net/gitroot/shorewall/shorewall/debian
 
 Package: shorewall
 Architecture: all
 Depends: shorewall-core (>= ${shorewall:current}), shorewall-core (<< ${shorewall:next}), iptables (>= 1.3.8), iproute, debconf (>= 1.4.69) | cdebconf (>= 0.39), perl-modules, bc, ${misc:Depends}
-Suggests: shorewall-doc, linux-image, make
+Suggests: shorewall-doc, make
 Replaces: shorewall-common, shorewall-perl, shorewall-shell
 Description: Shoreline Firewall, netfilter configurator
  Shorewall allows firewall/gateway requirements to be described using

## shorewall 4.5.21.3

=== debian/changelog ===
shorewall (4.5.21.3-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 25 Oct 2013 19:28:02 -0400

## shorewall 4.5.21.4

=== debian/changelog ===
shorewall (4.5.21.4-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 28 Nov 2013 20:11:21 -0500

## shorewall 4.5.21.5

=== debian/changelog ===
shorewall (4.5.21.5-1) unstable; urgency=low

  * New Upstream Version
  * Update to Standards-Version 3.9.5 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 19 Dec 2013 16:03:15 -0500

## shorewall 4.5.21.6

=== debian/changelog ===
shorewall (4.5.21.6-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 31 Jan 2014 10:48:32 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Homepage: http://www.shorewall.net
 Build-Depends: debhelper (>= 8.0.0), po-debconf
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://shorewall.git.sourceforge.net/git/gitweb.cgi?p=shorewall/debian;a=tree
 Vcs-Git: git://shorewall.git.sourceforge.net/gitroot/shorewall/shorewall/debian

=== debian/watch ===
version=3

http://sf.net/shorewall/shorewall-(4[\d.]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)

## shorewall 4.6.2.2

=== debian/changelog ===
shorewall (4.6.2.2-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 24 Jul 2014 20:35:01 -0400

shorewall (4.6.2.1-1) unstable; urgency=low

  * New Upstream Version
  * Depend on 'iproute2 | iproute' instead of just iproute (Closes: #753751)

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 21 Jul 2014 22:13:12 -0400

shorewall (4.6.1.2-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 20 Jun 2014 10:52:20 -0400

shorewall (4.6.1.1-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 16 Jun 2014 11:07:45 -0400

shorewall (4.5.21.9-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 31 Mar 2014 15:23:55 -0400

shorewall (4.5.21.8-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 20 Mar 2014 15:29:38 -0400

shorewall (4.5.21.7-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 08 Mar 2014 11:34:36 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: shorewall
 Architecture: all
-Depends: shorewall-core (>= ${shorewall:current}), shorewall-core (<< ${shorewall:next}), iptables (>= 1.3.8), iproute, debconf (>= 1.4.69) | cdebconf (>= 0.39), perl-modules, bc, ${misc:Depends}
+Depends: shorewall-core (>= ${shorewall:current}), shorewall-core (<< ${shorewall:next}), iptables (>= 1.3.8), iproute2 | iproute, debconf (>= 1.4.69) | cdebconf (>= 0.39), perl-modules, bc, ${misc:Depends}
 Suggests: shorewall-doc, make
 Replaces: shorewall-common, shorewall-perl, shorewall-shell
 Description: Shoreline Firewall, netfilter configurator

## shorewall 4.6.4.3

=== debian/changelog ===
shorewall (4.6.4.3-2) unstable; urgency=low

  * Depend upon perl instead of perl-modules (Closes: #779119)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 28 Feb 2015 17:07:05 -0500

shorewall (4.6.4.3-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 19 Oct 2014 15:11:30 -0400

shorewall (4.6.4.2-1) unstable; urgency=low

  * New Upstream Version (Closes: #760551)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 18 Oct 2014 12:44:25 -0400

shorewall (4.6.4-1) unstable; urgency=low

  * New Upstream Version (Closes: #739941)
  * Update to Standards-Version 3.9.6 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 11 Oct 2014 10:05:57 -0400

shorewall (4.6.3.4-1) unstable; urgency=low

  * New Upstream Version (Closes: #760551)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 21 Sep 2014 17:39:27 -0400

shorewall (4.6.3.3-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 13 Sep 2014 14:00:15 -0400

shorewall (4.6.3-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 20 Aug 2014 07:39:29 -0400

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Homepage: http://www.shorewall.net
 Build-Depends: debhelper (>= 8.0.0), po-debconf
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://shorewall.git.sourceforge.net/git/gitweb.cgi?p=shorewall/debian;a=tree
 Vcs-Git: git://shorewall.git.sourceforge.net/gitroot/shorewall/shorewall/debian
 
 Package: shorewall
 Architecture: all
-Depends: shorewall-core (>= ${shorewall:current}), shorewall-core (<< ${shorewall:next}), iptables (>= 1.3.8), iproute2 | iproute, debconf (>= 1.4.69) | cdebconf (>= 0.39), perl-modules, bc, ${misc:Depends}
+Depends: shorewall-core (>= ${shorewall:current}), shorewall-core (<< ${shorewall:next}), iptables (>= 1.3.8), iproute2 | iproute, debconf (>= 1.4.69) | cdebconf (>= 0.39), perl, bc, ${misc:Depends}
 Suggests: shorewall-doc, make
 Replaces: shorewall-common, shorewall-perl, shorewall-shell
 Description: Shoreline Firewall, netfilter configurator

=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,7 @@
 	chmod 640 $(SRWL)/etc/shorewall/*
 	# These should not be executable
 	chmod 644 $(SRWL)/etc/shorewall/shorewall.conf
-	chmod 644 $(SRWL)/etc/shorewall/Makefile
+	if [ -f $(SRWL)/etc/shorewall/Makefile ] ; then chmod 644 $(SRWL)/etc/shorewall/Makefile ; fi
 	# Global configuration has to be fully readable
 	chmod 644 $(SRWL)/usr/share/shorewall/*
 	chmod 755 $(SRWL)/usr/share/shorewall/compiler.pl

## shorewall 5.0.3.1

=== debian/changelog ===
shorewall (5.0.3.1-1) unstable; urgency=low

  * New Upstream Version (Closes: #729256, #773392, #776680, #796695)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 10 Jan 2016 14:57:16 -0500

## shorewall 5.0.4

=== debian/changelog ===
shorewall (5.0.4-1) unstable; urgency=medium

  * New Upstream Version
  * Fix postinst and prerm to check for the presence of the SysV init
    script prior to calling it or using invoke-rc.d.  Also add a check
    for the systemd .service file and use systemctl if it is present.
    (Closes: #810804)

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 21 Jan 2016 20:55:44 -0500

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Homepage: http://www.shorewall.net
-Build-Depends: debhelper (>= 8.0.0), po-debconf
+Build-Depends: debhelper (>= 9), po-debconf
 Standards-Version: 3.9.6
-Vcs-Browser: http://shorewall.git.sourceforge.net/git/gitweb.cgi?p=shorewall/debian;a=tree
-Vcs-Git: git://shorewall.git.sourceforge.net/gitroot/shorewall/shorewall/debian
+Vcs-Browser: http://sourceforge.net/p/shorewall/debian/ci/shorewall/master/~/tree/
+Vcs-Git: git://git.code.sf.net/p/shorewall/debian
 
 Package: shorewall
 Architecture: all

## shorewall 5.0.7.2

=== debian/changelog ===
shorewall (5.0.7.2-1) unstable; urgency=medium

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 31 Mar 2016 12:55:56 -0400

shorewall (5.0.7-1) unstable; urgency=low

  * New Upstream Version
  * Enable systemd service on package installation and disable on removal
  * Update to Standards-Version 3.9.7 (no changes)
  * Change Vcs-Browser link to use https

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 26 Mar 2016 21:31:24 -0400

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Homepage: http://www.shorewall.net
 Build-Depends: debhelper (>= 9), po-debconf
-Standards-Version: 3.9.6
-Vcs-Browser: http://sourceforge.net/p/shorewall/debian/ci/shorewall/master/~/tree/
+Standards-Version: 3.9.7
+Vcs-Browser: https://sourceforge.net/p/shorewall/debian/ci/shorewall/master/~/tree/
 Vcs-Git: git://git.code.sf.net/p/shorewall/debian
 
 Package: shorewall

=== debian/rules ===
--- 
+++ 
@@ -21,20 +21,17 @@
 	@debconf-updatepo
 
 override_dh_auto_configure:
-	./configure
+	true
 
 override_dh_auto_build:
 	true
-
-override_dh_auto_clean:
-	rm -rf $(SRWL) shorewallrc
 
 override_dh_install:
 	echo 'shorewall:current=$(VMAJOR).$(VMINOR).$(VPATCH)~' \
 		>> debian/shorewall.substvars
 	echo 'shorewall:next=$(VMAJOR).$(VMINOR).$(NEXTPATCH)~' \
 		>> debian/shorewall.substvars
-	DESTDIR=$(SRWL) BUILD=debian HOST=debian $(CURDIR)/install.sh
+	DESTDIR=$(SRWL) $(CURDIR)/install.sh $(CURDIR)/shorewallrc.debian.systemd
 
 override_dh_fixperms:
 	# Temporary zones are only available to root
@@ -52,12 +49,3 @@
 	chmod 755 $(SRWL)/usr/share/shorewall/configfiles/
 	dh_fixperms -Xetc/shorewall -Xvar/lib/shorewall
 
-override_dh_compress:
-	dh_compress
-
-override_dh_installinit:
-	dh_installinit --onlyscripts --no-start -u"start 40 S . stop 89 0 6 ."
-
-override_dh_installman:
-	dh_installman manpages/*
-

## shorewall 5.0.10

=== debian/changelog ===
shorewall (5.0.10-1) unstable; urgency=medium

  * New Upstream Version
  * Ensure systemd state file is purged on package purge
  * Update to Standards-Version 3.9.8 (no changes)
  * Install both systemd service unit and SysV init script (Closes: #820941)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 02 Jul 2016 17:51:15 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Homepage: http://www.shorewall.net
 Build-Depends: debhelper (>= 9), po-debconf
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://sourceforge.net/p/shorewall/debian/ci/shorewall/master/~/tree/
 Vcs-Git: git://git.code.sf.net/p/shorewall/debian

## shorewall 5.0.10.1

=== debian/changelog ===
shorewall (5.0.10.1-1) unstable; urgency=medium

  * New Upstream Version (Closes: #830110, #726343)
  * Use a more reliable check for systemd (Closes: #830881)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 16 Jul 2016 23:40:05 -0400

## shorewall 5.0.11

=== debian/changelog ===
shorewall (5.0.11-1) unstable; urgency=medium

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 13 Aug 2016 00:25:41 -0400

## shorewall 5.0.12.1

=== debian/changelog ===
shorewall (5.0.12.1-1) unstable; urgency=medium

  * New Upstream Version (Closes: #840198)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 09 Oct 2016 20:51:36 -0400

shorewall (5.0.12-1) unstable; urgency=medium

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 02 Oct 2016 15:58:13 -0400

## shorewall 5.0.14

=== debian/changelog ===
shorewall (5.0.14-1) unstable; urgency=medium

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 03 Nov 2016 21:19:42 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,15 @@
 
 Package: shorewall
 Architecture: all
-Depends: shorewall-core (>= ${shorewall:current}), shorewall-core (<< ${shorewall:next}), iptables (>= 1.3.8), iproute2 | iproute, debconf (>= 1.4.69) | cdebconf (>= 0.39), perl, bc, ${misc:Depends}
+Depends: shorewall-core (>= ${shorewall:current}),
+ shorewall-core (<< ${shorewall:next}),
+ iptables (>= 1.3.8),
+ iproute2 | iproute,
+ debconf (>= 1.4.69) | cdebconf (>= 0.39),
+ perl,
+ bc,
+ lsb-base (>= 3.0-6),
+ ${misc:Depends}
 Suggests: shorewall-doc, make
 Replaces: shorewall-common, shorewall-perl, shorewall-shell
 Description: Shoreline Firewall, netfilter configurator

## shorewall 5.0.14.1

=== debian/changelog ===
shorewall (5.0.14.1-1) unstable; urgency=medium

  * New Upstream Version
  * Add libnetfilter-cthelper0 to Recommends (Closes: #783270)

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 09 Nov 2016 11:15:26 -0500

## shorewall 5.0.15.1

=== debian/changelog ===
shorewall (5.0.15.1-1) unstable; urgency=medium

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 17 Dec 2016 08:25:16 -0500

shorewall (5.0.15-1) unstable; urgency=medium

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 07 Dec 2016 16:56:03 -0500

## shorewall 5.0.15.2

=== debian/changelog ===
shorewall (5.0.15.2-1) unstable; urgency=medium

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 24 Dec 2016 17:17:35 -0500

## shorewall 5.0.15.6

=== debian/changelog ===
shorewall (5.0.15.6-1) unstable; urgency=medium

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 03 Apr 2017 11:03:25 -0400

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
  bc,
  lsb-base (>= 3.0-6),
  ${misc:Depends}
+Recommends: libnetfilter-cthelper0
 Suggests: shorewall-doc, make
 Replaces: shorewall-common, shorewall-perl, shorewall-shell
 Description: Shoreline Firewall, netfilter configurator

## shorewall 5.1.8.1

=== debian/changelog ===
shorewall (5.1.8.1-1) unstable; urgency=medium

  * New Upstream Version
  * Document steps for enabling shorewall on boot following configuration.
    (Closes: #845597)

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 20 Nov 2017 08:03:29 -0500

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,10 @@
 		>> debian/shorewall.substvars
 	echo 'shorewall:next=$(VMAJOR).$(VMINOR).$(NEXTPATCH)~' \
 		>> debian/shorewall.substvars
-	DESTDIR=$(SRWL) $(CURDIR)/install.sh $(CURDIR)/shorewallrc.debian.systemd
+	DESTDIR=$(SRWL) $(CURDIR)/install.sh $(CURDIR)/debian/shorewallrc
+
+override_dh_installinit:
+	dh_installinit --onlyscripts --no-start
 
 override_dh_fixperms:
 	# Temporary zones are only available to root
@@ -47,5 +50,6 @@
 	chmod 755 $(SRWL)/usr/share/shorewall/getparams
 	chmod 755 $(SRWL)/usr/share/shorewall/Shorewall/
 	chmod 755 $(SRWL)/usr/share/shorewall/configfiles/
+	chmod 755 $(SRWL)/usr/share/shorewall/deprecated/
 	dh_fixperms -Xetc/shorewall -Xvar/lib/shorewall

=== debian/watch ===
version=3

http://www.shorewall.net/pub/shorewall/5.0/shorewall-(5[\d.]+)/shorewall-(5[\d.]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)

## shorewall 5.1.9

=== debian/changelog ===
shorewall (5.1.9-1) unstable; urgency=medium

  * New Upstream Version
  * Update upstream download URL in debian/watch
  * Update to Standards-Version 4.1.1
    + Add pgpsigurlmangle option in debian/watch
    + Include upstream signing key

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 26 Nov 2017 14:18:40 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Homepage: http://www.shorewall.net
 Build-Depends: debhelper (>= 9), po-debconf
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Browser: https://sourceforge.net/p/shorewall/debian/ci/shorewall/master/~/tree/
 Vcs-Git: git://git.code.sf.net/p/shorewall/debian

## shorewall 5.1.10.2

=== debian/changelog ===
shorewall (5.1.10.2-1) unstable; urgency=medium

  * New Upstream Version
  * Update to Standards-Version 4.1.3 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 31 Dec 2017 21:15:40 -0500

## shorewall 5.1.12.1

=== debian/changelog ===
shorewall (5.1.12.1-1) unstable; urgency=medium

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 10 Feb 2018 07:04:03 -0500

## shorewall 5.1.12.2

=== debian/changelog ===
shorewall (5.1.12.2-1) unstable; urgency=medium

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 22 Feb 2018 20:59:23 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Homepage: http://www.shorewall.net
 Build-Depends: debhelper (>= 9), po-debconf
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Vcs-Browser: https://sourceforge.net/p/shorewall/debian/ci/shorewall/master/~/tree/
 Vcs-Git: git://git.code.sf.net/p/shorewall/debian

=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,7 @@
 	echo 'shorewall:next=$(VMAJOR).$(VMINOR).$(NEXTPATCH)~' \
 		>> debian/shorewall.substvars
 	DESTDIR=$(SRWL) $(CURDIR)/install.sh $(CURDIR)/debian/shorewallrc
+	rmdir $(SRWL)/sbin
 
 override_dh_installinit:
 	dh_installinit --onlyscripts --no-start

## shorewall 5.1.12.3

=== debian/changelog ===
shorewall (5.1.12.3-1) unstable; urgency=medium

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 02 Mar 2018 09:05:17 -0500

## shorewall 5.2.1.3

=== debian/changelog ===
shorewall (5.2.1.3-1) unstable; urgency=medium

  * New Upstream Version (Closes: #903734)
  * Update to Standards-Version 4.2.1 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 15 Dec 2018 10:24:06 -0500

## shorewall 5.2.1.4

=== debian/changelog ===
shorewall (5.2.1.4-1) unstable; urgency=medium

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 16 Dec 2018 15:17:17 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Homepage: http://www.shorewall.net
 Build-Depends: debhelper (>= 9), po-debconf
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Vcs-Browser: https://sourceforge.net/p/shorewall/debian/ci/shorewall/master/~/tree/
 Vcs-Git: git://git.code.sf.net/p/shorewall/debian
